For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/tools/post-api-tools-v1temp-email-checker.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Temp email check
POST
/api/tools/v1/temp-email-checker
1// No SDK, no API key — it is a plain POST.2const res = await fetch(3 "https://reloop.sh/api/tools/v1/temp-email-checker",4 {5 method: "POST",6 headers: { "Content-Type": "application/json" },7 body: JSON.stringify({ email: "you@mailinator.com" }),8 },9);10
11const result = await res.json();1{2 "input": "example_input",3 "kind": "email",4 "domain": "send.example.com",5 "unicodeDomain": "example_unicodeDomain",6 "verdict": "invalid",7 "isValidSyntax": true,8 "syntaxFailure": "example_syntaxFailure",9 "isDisposable": true,10 "disposableMatch": {11 "kind": "exact",12 "domain": "send.example.com",13 "pattern": "example_pattern"14 },15 "isAllowlisted": true,16 "isRoleAddress": true,17 "isFreeProvider": true,18 "signals": {19 "syntax": "pass",20 "disposable": "pass",21 "role": "pass",22 "freeProvider": "pass"23 },24 "mxRecords": [25 "example_mxRecords"26 ],27 "confidence": 0,28 "riskScore": 0,29 "flags": [30 "INVALID_SYNTAX"31 ]32}Body Parameters
emailstringRequired
An email address or a bare domain.
- Minimum length:
1 - Maximum length:
400
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.